loss_fun: bce
lr_reduce_on_plateau_kwargs:
  factor: 0.7
  min_lr: 6.0e-05
  patience: 16
metrics:
  auroc: !!python/object:goli.trainer.metrics.MetricWrapper
    kwargs: {}
    metric: !!python/name:pytorch_lightning.metrics.functional.auroc.auroc ''
    thresholder: !!python/object:goli.trainer.metrics.Thresholder
      op_str: '>'
      operator: &id001 !!python/name:_operator.gt ''
      target_to_int: true
      th_on_preds: false
      th_on_target: false
      threshold: null
  averageprecision: !!python/object:goli.trainer.metrics.MetricWrapper
    kwargs: {}
    metric: !!python/name:pytorch_lightning.metrics.functional.average_precision.average_precision ''
    thresholder: !!python/object:goli.trainer.metrics.Thresholder
      op_str: '>'
      operator: *id001
      target_to_int: true
      th_on_preds: false
      th_on_target: false
      threshold: null
  f1 > 0.25: !!python/object:goli.trainer.metrics.MetricWrapper
    kwargs:
      average: micro
      num_classes: 2
    metric: &id002 !!python/name:pytorch_lightning.metrics.functional.f_beta.f1 ''
    thresholder: !!python/object:goli.trainer.metrics.Thresholder
      op_str: '>'
      operator: *id001
      target_to_int: true
      th_on_preds: true
      th_on_target: false
      threshold: 0.25
  f1 > 0.5: !!python/object:goli.trainer.metrics.MetricWrapper
    kwargs:
      average: micro
      num_classes: 2
    metric: *id002
    thresholder: !!python/object:goli.trainer.metrics.Thresholder
      op_str: '>'
      operator: *id001
      target_to_int: true
      th_on_preds: true
      th_on_target: false
      threshold: 0.5
  mae: !!python/object:goli.trainer.metrics.MetricWrapper
    kwargs: {}
    metric: !!python/name:pytorch_lightning.metrics.functional.mean_absolute_error.mean_absolute_error ''
    thresholder: null
  recall > 0.25: !!python/object:goli.trainer.metrics.MetricWrapper
    kwargs: {}
    metric: &id003 !!python/name:pytorch_lightning.metrics.functional.precision_recall.recall ''
    thresholder: !!python/object:goli.trainer.metrics.Thresholder
      op_str: '>'
      operator: *id001
      target_to_int: true
      th_on_preds: true
      th_on_target: false
      threshold: 0.25
  recall > 0.5: !!python/object:goli.trainer.metrics.MetricWrapper
    kwargs: {}
    metric: *id003
    thresholder: !!python/object:goli.trainer.metrics.Thresholder
      op_str: '>'
      operator: *id001
      target_to_int: true
      th_on_preds: true
      th_on_target: false
      threshold: 0.5
metrics_on_progress_bar:
- mae
- averageprecision
- f1 > 0.5
model_class: !!python/name:goli.nn.architectures.FullDGLNetwork ''
model_kwargs:
  gnn_kwargs:
    activation: none
    batch_norm: true
    depth: 4
    dropout: 0.2
    hidden_dims: 420
    in_dim: 420
    in_dim_edges: 32
    last_activation: none
    last_batch_norm: true
    last_dropout: 0.2
    layer_kwargs:
      aggregators:
      - mean
      - max
      - sum
      - dir1/dx_abs
      scalers:
      - identity
    layer_type: dgn-msgpass
    out_dim: 420
    pooling:
    - sum
    - max
    - dir1
    residual_type: simple
    virtual_node: none
  post_nn_kwargs:
    activation: relu
    batch_norm: true
    depth: 3
    dropout: 0.2
    hidden_dims: 420
    in_dim: 420
    last_activation: sigmoid
    last_batch_norm: false
    last_dropout: 0.0
    out_dim: 128
    residual_type: simple
  pre_nn_edges_kwargs:
    activation: relu
    batch_norm: true
    depth: 3
    dropout: 0.2
    hidden_dims: 32
    in_dim: 16
    last_activation: none
    last_batch_norm: true
    last_dropout: 0.2
    out_dim: 32
    residual_type: simple
  pre_nn_kwargs:
    activation: relu
    batch_norm: true
    depth: 3
    dropout: 0.2
    hidden_dims: 420
    in_dim: 69
    last_activation: none
    last_batch_norm: true
    last_dropout: 0.2
    out_dim: 420
    residual_type: simple
optim_kwargs:
  lr: 0.001
  weight_decay: 0
random_seed: 42
scheduler_kwargs:
  frequency: 1
  interval: epoch
  mode: max
  monitor: averageprecision/val
  strict: true
target_nan_mask: 0
